Skip to content
Cipay
Esc
navigateopen⌘Jpreview

List Customer Orders

GET/v2/customers/{id}/orders
Authorization
AuthorizationBearer token · headerrequired
Merchant API key scoped to one merchant and environment. Read operations require api:read, normal write operations require api:write, and broadcast mutations also require explicit broadcasts:write.
Path parameters
idstring<uuid>required
Query parameters
limitinteger
min 1 · max 100 · default: 25
cursorstring
matches ^\d+$
Header parameters
x-request-idstring
Optional caller-provided request correlation ID.
min length 1
Responses
200OK
ordersobject[]required
Show properties
Array of object
idstring<uuid>required
merchantIdstring<uuid>required
environmentstringrequired
Allowed:sandboxproduction
customerIdstring<uuid>required
subscriptionIdstring<uuid>required
statusstringrequired
subtotalHalalasintegerrequired
min 0 · max 9007199254740991
taxableAmountHalalasintegerrequired
min 0 · max 9007199254740991
vatAmountHalalasintegerrequired
min 0 · max 9007199254740991
totalHalalasintegerrequired
min 0 · max 9007199254740991
refundedHalalasintegerrequired
min 0 · max 9007199254740991
createdAtstring<date-time>required
nextCursorstring | anyrequired
Show properties
Any of:
string
string
any
any
401Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
403Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
404Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
409Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
422Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
429Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
500Standard Cipay error response.
errorobjectrequired
Show properties
codestringrequired
min length 1
messagestringrequired
min length 1
requestIdstringrequired
min length 1
detailsobject
Request
curl -X GET "https://api.cipay.net/v2/customers/%3Cuuid%3E/orders" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "orders": [
    {
      "id": "<uuid>",
      "merchantId": "<uuid>",
      "environment": "sandbox",
      "customerId": "<uuid>",
      "subscriptionId": "<uuid>",
      "status": "string",
      "subtotalHalalas": 0,
      "taxableAmountHalalas": 0,
      "vatAmountHalalas": 0,
      "totalHalalas": 0,
      "refundedHalalas": 0,
      "createdAt": "2024-01-01T00:00:00Z"
    }
  ],
  "nextCursor": "string"
}